SDL_Mouse Struct Reference

`#include <SDL_mouse_c.h>`

Collaboration diagram for SDL_Mouse:
[legend]

## Data Fields

SDL_Cursor *(* | CreateCursor )(SDL_Surface *surface, int hot_x, int hot_y)
SDL_Cursor *(* | CreateSystemCursor )(SDL_SystemCursor id)
int(* | ShowCursor )(SDL_Cursor *cursor)
void(* | MoveCursor )(SDL_Cursor *cursor)
void(* | FreeCursor )(SDL_Cursor *cursor)
void(* | WarpMouse )(SDL_Window *window, int x, int y)
int(* | WarpMouseGlobal )(int x, int y)
int(* | SetRelativeMouseMode )(SDL_bool enabled)
int(* | CaptureMouse )(SDL_Window *window)
Uint32(* | GetGlobalMouseState )(int *x, int *y)
SDL_MouseID | mouseID
SDL_Window * | focus
int | x
int | y
int | xdelta
int | ydelta
int | last_x
int | last_y
Uint32 | buttonstate
SDL_bool | relative_mode
SDL_bool | relative_mode_warp
int | num_clickstates
SDL_MouseClickState * | clickstate
SDL_Cursor * | cursors
SDL_Cursor * | def_cursor
SDL_Cursor * | cur_cursor
SDL_bool | cursor_shown
void * | driverdata

## Detailed Description

Definition at line 43 of file SDL_mouse_c.h.

## Field Documentation

Uint32 SDL_Mouse::buttonstate

Definition at line 83 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseState(), SDL_GetRelativeMouseState(), SDL_PrivateSendMouseMotion(), SDL_ResetMouse(), SDL_SendMouseButton(), and SDL_SendMouseMotion().

int(* SDL_Mouse::CaptureMouse) (SDL_Window *window)

Definition at line 70 of file SDL_mouse_c.h.

Referenced by SDL_CaptureMouse(), and SDL_MouseQuit().

SDL_MouseClickState* SDL_Mouse::clickstate

Definition at line 89 of file SDL_mouse_c.h.

Referenced by GetMouseClickState(), and SDL_MouseQuit().

SDL_Cursor*(* SDL_Mouse::CreateCursor) (SDL_Surface *surface, int hot_x, int hot_y)

Definition at line 46 of file SDL_mouse_c.h.

Referenced by SDL_CreateColorCursor().

SDL_Cursor*(* SDL_Mouse::CreateSystemCursor) (SDL_SystemCursor id)

Definition at line 49 of file SDL_mouse_c.h.

Referenced by SDL_CreateSystemCursor().

SDL_Cursor* SDL_Mouse::cur_cursor

Definition at line 93 of file SDL_mouse_c.h.

Referenced by SDL_FreeCursor(), SDL_GetCursor(), SDL_PrivateSendMouseMotion(), SDL_SetCursor(), and SDL_SetDefaultCursor().

SDL_bool SDL_Mouse::cursor_shown

Definition at line 94 of file SDL_mouse_c.h.

Referenced by SDL_MouseInit(), SDL_PrivateSendMouseMotion(), SDL_SetCursor(), and SDL_ShowCursor().

SDL_Cursor* SDL_Mouse::cursors

Definition at line 91 of file SDL_mouse_c.h.

Referenced by SDL_CreateColorCursor(), SDL_CreateSystemCursor(), SDL_FreeCursor(), SDL_MouseQuit(), and SDL_SetCursor().

SDL_Cursor* SDL_Mouse::def_cursor

Definition at line 92 of file SDL_mouse_c.h.

Referenced by SDL_FreeCursor(), SDL_GetDefaultCursor(), SDL_MouseQuit(), SDL_SetCursor(), and SDL_SetDefaultCursor().

void* SDL_Mouse::driverdata

Definition at line 97 of file SDL_mouse_c.h.

SDL_Window* SDL_Mouse::focus

Definition at line 77 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseFocus(), SDL_PrivateSendMouseMotion(), SDL_ResetMouse(), SDL_SendMouseButton(), SDL_SendMouseWheel(), SDL_SetCursor(), SDL_SetMouseFocus(), SDL_SetRelativeMouseMode(), SDL_UpdateMouseFocus(), and SDL_WarpMouseInWindow().

void(* SDL_Mouse::FreeCursor) (SDL_Cursor *cursor)

Definition at line 58 of file SDL_mouse_c.h.

Referenced by SDL_FreeCursor(), and SDL_MouseQuit().

Uint32(* SDL_Mouse::GetGlobalMouseState) (int *x, int *y)

Definition at line 73 of file SDL_mouse_c.h.

Referenced by SDL_GetGlobalMouseState().

int SDL_Mouse::last_x

Definition at line 82 of file SDL_mouse_c.h.

Referenced by SDL_PrivateSendMouseMotion().

int SDL_Mouse::last_y

Definition at line 82 of file SDL_mouse_c.h.

Referenced by SDL_PrivateSendMouseMotion().

SDL_MouseID SDL_Mouse::mouseID

Definition at line 76 of file SDL_mouse_c.h.

Referenced by SDL_ResetMouse(), SDL_UpdateMouseFocus(), and SDL_WarpMouseInWindow().

void(* SDL_Mouse::MoveCursor) (SDL_Cursor *cursor)

Definition at line 55 of file SDL_mouse_c.h.

Referenced by SDL_PrivateSendMouseMotion().

int SDL_Mouse::num_clickstates

Definition at line 88 of file SDL_mouse_c.h.

Referenced by GetMouseClickState().

SDL_bool SDL_Mouse::relative_mode

Definition at line 84 of file SDL_mouse_c.h.

Referenced by SDL_GetRelativeMouseMode(), SDL_OnWindowFocusGained(), SDL_PrivateSendMouseMotion(), SDL_SetCursor(), and SDL_SetRelativeMouseMode().

SDL_bool SDL_Mouse::relative_mode_warp

Definition at line 85 of file SDL_mouse_c.h.

Referenced by SDL_PrivateSendMouseMotion(), and SDL_SetRelativeMouseMode().

int(* SDL_Mouse::SetRelativeMouseMode) (SDL_bool enabled)

Definition at line 67 of file SDL_mouse_c.h.

Referenced by SDL_SetRelativeMouseMode(), and ShouldUseRelativeModeWarp().

int(* SDL_Mouse::ShowCursor) (SDL_Cursor *cursor)

Definition at line 52 of file SDL_mouse_c.h.

Referenced by SDL_SetCursor().

void(* SDL_Mouse::WarpMouse) (SDL_Window *window, int x, int y)

Definition at line 61 of file SDL_mouse_c.h.

Referenced by SDL_WarpMouseInWindow().

int(* SDL_Mouse::WarpMouseGlobal) (int x, int y)

Definition at line 64 of file SDL_mouse_c.h.

Referenced by SDL_WarpMouseGlobal().

int SDL_Mouse::x

Definition at line 78 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseState(), SDL_PrivateSendMouseMotion(), SDL_SendMouseButton(), and SDL_SetRelativeMouseMode().

int SDL_Mouse::xdelta

Definition at line 80 of file SDL_mouse_c.h.

Referenced by SDL_GetRelativeMouseState(), and SDL_PrivateSendMouseMotion().

int SDL_Mouse::y

Definition at line 79 of file SDL_mouse_c.h.

Referenced by SDL_GetMouseState(), SDL_PrivateSendMouseMotion(), SDL_SendMouseButton(), and SDL_SetRelativeMouseMode().

int SDL_Mouse::ydelta

Definition at line 81 of file SDL_mouse_c.h.

Referenced by SDL_GetRelativeMouseState(), and SDL_PrivateSendMouseMotion().

The documentation for this struct was generated from the following file:

- src/events/SDL_mouse_c.h